Bug 657598 - Dependency to mx4j missing in freeipa-devel.repo
Summary: Dependency to mx4j missing in freeipa-devel.repo
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Dogtag Certificate System
Classification: Retired
Component: Build
Version: 1.3
Hardware: All
OS: All
high
medium
Target Milestone: ---
Assignee: Matthew Harmsen
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: dogtagIPAv2
TreeView+ depends on / blocked
 
Reported: 2010-11-26 18:29 UTC by Pierre Carrier
Modified: 2015-01-04 23:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
beurk-ipa-master-old@balzac.usersys.redhat.com
Last Closed: 2011-01-08 03:21:22 UTC


Attachments (Terms of Use)
logs from the installer (141.06 KB, text/x-log)
2010-11-26 18:33 UTC, Pierre Carrier
no flags Details

Description Pierre Carrier 2010-11-26 18:29:45 UTC
Description of problem:
- ipaserver-install fails because of a dependency missing somewhere

Version-Release number of selected component (if applicable):
1.9.0.pre5 (from http://freeipa.org/downloads/freeipa-devel.repo)

How reproducible:
100%

Steps to Reproduce:
1. Take a minimal F14 installation
2. Add the ipa repo above
3. Install ipa-server, then run ipa-server-install
  
Actual results:
Please see the installation logs attached.

Expected results:
mx4j should be required by whoever needs it.

Additional info:
- I won't keep the reproducer and just move forward :)
- sosreport attached for Red Hat employees

Comment 2 Pierre Carrier 2010-11-26 18:33:50 UTC
Created attachment 463117 [details]
logs from the installer

Comment 3 Rob Crittenden 2010-11-29 14:40:08 UTC
This is coming from dogtag, re-assigning.

Comment 4 Pierre Carrier 2010-11-29 23:32:14 UTC
Thanks Rob.

I'll keep the vm as beurk-ipa-master-old for future references.
Please NEEDINFO me if there is anything else I can do.

-- 
Pierre

Comment 7 Matthew Harmsen 2011-01-08 03:21:22 UTC
Analysis was performed on an x86_64 Fedora 12 and i686 Fedora 14 machine.

The package 'mx4j-3.0.1-9.11.fc13.noarch' was de-installed from the Fedora 14
machine as no package required it.

The new 'tomcat6'-based PKI packages were installed on the Fedora 14 machine:
* jss-4.2.6-10.fc14.i686
* tomcatjss-2.0.0-1.fc14.noarch
* osutil-2.0.0-3.fc14.i686
* dogtag-pki-ca-theme-9.0.0-1.fc14.noarch
* dogtag-pki-common-theme-9.0.0-1.fc14.noarch
* pki-ca-9.0.0-1.fc14.noarch
* pki-common-9.0.0-1.fc14.noarch
* pki-common-javadoc-9.0.0-1.fc14.noarch
* pki-java-tools-9.0.0-1.fc14.noarch
* pki-java-tools-javadoc-9.0.0-1.fc14.noarch
* pki-native-tools-9.0.0-1.fc14.i686
* pki-selinux-9.0.0-1.fc14.noarch
* pki-setup-9.0.0-1.fc14.noarch
* pki-silent-9.0.0-1.fc14.noarch
* pki-symkey-9.0.0-1.fc14.i686
* pki-util-9.0.0-1.fc14.noarch
* pki-util-javadoc-9.0.0-1.fc14.noarch

A new 'pki-ca' instance was successfully installed, configured, and executed without the need for the 'mx4j' package.

In checking the Fedora 12 machine, the following dependencies were discovered:

# rpm -q --whatrequires mx4j
geronimo-specs-1.0-3.2.M2.fc12.noarch
jetty-6.1.20-7.fc12.noarch
jakarta-commons-modeler-2.0.1-1.fc12.noarch

# rpm -q --whatrequires geronimo-specs
geronimo-specs-compat-1.0-3.2.M2.fc12.noarch

# rpm -q --whatrequires geronimo-specs-compat
no package requires geronimo-specs-compat

# rpm -q --whatrequires jetty
eclipse-platform-3.5.1-23.fc12.x86_64

# rpm -q --whatrequires eclipse-platform
eclipse-emf-2.5.0-4.fc12.noarch
eclipse-linuxprofilingframework-0.3.0-2.fc12.x86_64
eclipse-dtp-1.7.0-5.fc12.noarch
eclipse-birt-2.5-1.fc12.noarch
eclipse-mylyn-3.2.1-2.fc12.noarch
eclipse-changelog-2.6.7-3.fc12.x86_64
svnkit-1.3.0-1.fc12.noarch
eclipse-subclipse-1.6.5-1.fc12.noarch
eclipse-rse-3.1.1-3.fc12.noarch
eclipse-gef-3.5.1-2.fc12.noarch
eclipse-jgit-0.6.0-0.1.git20091029.fc12.noarch
eclipse-oprofile-0.4.0-1.fc12.x86_64
eclipse-egit-0.6.0-0.1.git20091029.fc12.noarch
eclipse-valgrind-0.4.0-0.1.fc12.x86_64
eclipse-rpm-editor-0.5.0-1.fc12.x86_64
eclipse-cdt-6.0.2-2.fc12.x86_64
eclipse-cdt-6.0.2-2.fc12.x86_64
eclipse-jdt-3.5.1-23.fc12.x86_64
eclipse-pde-3.5.1-23.fc12.x86_64

NONE OF THESE ECLIPSE PACKAGES SHOULD BE REQUIRED BY PKI.

# rpm -q --whatrequires jakarta-commons-modeler                    
tomcat5-server-lib-5.5.27-7.4.fc12.noarch

# rpm -q --whatrequires tomcat5-server-lib
tomcat5-5.5.27-7.4.fc12.noarch

# rpm -q --whatrequires tomcat5           
tomcatjss-1.2.1-1.fc12.noarch

PKI packages now utilize 'tomcatjss-2.0.0-1' which requires 'tomcat6' instead of 'tomcat5', so this bug should no longer be relevant once IPA has switched over to using the new PKI packages which rely upon 'tomcat6'.


Note You need to log in before you can comment on or make changes to this bug.